# Method: bidders.creatives.watch

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.WatchCreativesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#try-it)

Watches all creatives pertaining to a bidder. It is sufficient to invoke this endpoint once per bidder. A Pub/Sub topic will be created and notifications will be pushed to the topic when any of the bidder's creatives change status. All of the bidder's service accounts will have access to read from the topic. Subsequent invocations of this method will return the existing Pub/Sub configuration.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{parent=bidders/*}/creatives:watch`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. To watch all creatives pertaining to the bidder and all its child seat accounts, the bidder must follow the pattern `bidders/{bidderAccountId}`. |

### Request body

The request body must be empty.

### Response body

A response for the request to receive push notification when a bidder's creatives change status.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "topic": string, "subscription": string } ``` |

| Fields ||
|---|---|
| `topic` | `string` The Pub/Sub topic that will be used to publish creative serving status notifications. This would be of the format `projects/{projectId}/topics/{topic_id}`. |
| `subscription` | `string` The Pub/Sub subscription that can be used to pull creative status notifications. This would be of the format `projects/{projectId}/subscriptions/{subscription_id}`. Subscription is created with pull delivery. All service accounts belonging to the bidder will have read access to this subscription. Subscriptions that are inactive for more than 90 days will be disabled. Use `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.creatives/watch#google.ads.realtimebidding.v1.Creatives.WatchCreatives` to re-enable the subscription. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`